(**************************************************************************)
(*                                                                        *)
(*  This file is part of Frama-C.                                         *)
(*                                                                        *)
(*  Copyright (C) 2007-2019                                               *)
(*    CEA (Commissariat à l'énergie atomique et aux énergies              *)
(*         alternatives)                                                  *)
(*                                                                        *)
(*  you can redistribute it and/or modify it under the terms of the GNU   *)
(*  Lesser General Public License as published by the Free Software       *)
(*  Foundation, version 2.1.                                              *)
(*                                                                        *)
(*  It is distributed in the hope that it will be useful,                 *)
(*  but WITHOUT ANY WARRANTY; without even the implied warranty of        *)
(*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *)
(*  GNU Lesser General Public License for more details.                   *)
(*                                                                        *)
(*  See the GNU Lesser General Public License version 2.1                 *)
(*  for more details (enclosed in the file licenses/LGPLv2.1).            *)
(*                                                                        *)
(**************************************************************************)

(** compatibility layer between gtksourceview 2 and 3. *)
include GSourceView2

let make_marker_attributes
  ~(source:source_view)
  ~(category:string)
  ~(priority: int)
  ?(background: Gdk.color option)
  ?(pixbuf:GdkPixbuf.pixbuf option)
  ?(icon_name:string option)
  () =
  ignore icon_name; (* not in lablgtk2. *)
  source#set_mark_category_priority ~category priority;
  source#set_mark_category_pixbuf ~category pixbuf;
  source#set_mark_category_background ~category background
